desync(1)

NAME
desync-index-server - Server for indexes over HTTP(S)

SYNOPSIS
desync index-server [flags]

DESCRIPTION
Starts an HTTP index server that can be used as remote store. It supports reading from a single local store or proxying to a remote store. If --cert and --key are provided, the server will serve over HTTPS. The -w option enables writing to this store.

OPTIONS
--authorization=""
    expected value of the authorization header in requests

--ca-cert=""
    trust authorities in this file, instead of OS trust store

-r, --cache-repair[=true]
    replace invalid chunks in the cache from source

--cert=""
    cert file in PEM format, requires --key

--client-ca=""
    acceptable client certificate or CA

--client-cert=""
    path to client certificate for TLS authentication

--client-key=""
    path to client key for TLS authentication

-n, --concurrency=10
    number of concurrent goroutines

-e, --error-retry=3
    number of times to retry in case of network error

-b, --error-retry-base-interval=500ms
    initial retry delay, increases linearly with each subsequent attempt

-h, --help[=false]
    help for index-server

--key=""
    key file in PEM format, requires --cert

-l, --listen=[:http]
    listen address(es), can be repeated

--log=""
    request log file or - for STDOUT

--mutual-tls[=false]
    require valid client certificate

-s, --store=""
    upstream source index store

-t, --trust-insecure[=false]
    trust invalid certificates

-w, --writable[=false]
    support writing

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    config file (default $HOME/.config/desync/config.json)

--digest="sha512-256"
    digest algorithm, sha512-256 or sha256

--verbose[=false]
    verbose mode

EXAMPLE
      desync index-server -s sftp://192.168.1.1/indexes -l :8080
      desync index-server -s /path/to/indexes -w -l :8080

SEE ALSO
desync(1)

HISTORY
6-Sep-2026 Auto generated by spf13/cobra